data:extend({
  {
    type = "recipe",
    name = "ion-grenade",
    enabled = "false",
    energy_required = 8,
    ingredients =
    {
      {"steel-plate", 5},
      {"ion-conduit", 5},
      {"electronic-circuit", 10}
    },
    result = "ion-grenade"
  },
  {
    type = "capsule",
    name = "ion-grenade",
    icon = "__replicators__/graphics/icons/ion-grenade.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        ammo_category = "capsule",
        cooldown = 30,
        projectile_creation_distance = 0.6,
        range = 20,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "ion-grenade",
              starting_speed = 0.3
            }
          }
        }
      }
    },
    subgroup = "capsule",
    order = "a[ion-grenade]",
    stack_size = 100
  },
  {
    type = "projectile",
    name = "ion-grenade",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "huge-explosion"
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 8.5,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 100, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__replicators__/graphics/ion-grenade/ion-grenade.png",
      frame_count = 1,
      width = 24,
      height = 24,
      priority = "high"
    },
    shadow =
    {
      filename = "__replicators__/graphics/ion-grenade/ion-grenade-shadow.png",
      frame_count = 1,
      width = 24,
      height = 32,
      priority = "high"
    }
  },

})