data:extend(
{
  {
    type = "technology",
    name = "clean-power-MK1",
    icon = "__replicators__/graphics/technology/electricity.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-MK1"
      },
     {
        type = "unlock-recipe",
        recipe = "accumulator-MK1"
      }
    },
    unit =
    {
      count = 80,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    order = "c-a"
  },
  {
    type = "technology",
    name = "clean-power-MK2",
    icon = "__replicators__/graphics/technology/electricity.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-MK2"
      },
     {
        type = "unlock-recipe",
        recipe = "accumulator-MK2"
      }
    },
  prerequisites = {"clean-power-MK1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        --{"science-pack-2", 2}
      },
      time = 30
    },
    order = "c-a"
  },
  {
    type = "technology",
    name = "clean-power-MK3",
    icon = "__replicators__/graphics/technology/electricity.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-MK3"
      },
	   {
        type = "unlock-recipe",
        recipe = "accumulator-MK3"
      }
    },
	prerequisites = {"clean-power-MK2"},
    unit =
    {
      count = 140,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1},
      },
      time = 50
    },
    order = "c-a"
  },
   {
    type = "technology",
    name = "clean-power-MK4",
    icon = "__replicators__/graphics/technology/electricity.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-MK4"
      },
	   {
        type = "unlock-recipe",
        recipe = "accumulator-MK4"
      }
    },
	prerequisites = {"clean-power-MK3"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-3", 1},
        {"science-pack-1", 3},
        {"science-pack-2", 2}
      },
      time = 100
    },
    order = "c-a"
  },
   {
    type = "technology",
    name = "clean-power-MK5",
    icon = "__replicators__/graphics/technology/electricity.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "solar-panel-MK5"
      },
	   {
        type = "unlock-recipe",
        recipe = "accumulator-MK5"
      }
    },
	prerequisites = {"clean-power-MK4"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-3", 2},
        {"science-pack-1", 4},
        {"science-pack-2", 3},
		    {"alien-science-pack", 1}
      },
      time = 120
    },
    order = "c-a"
  },
  })