
function research(count, one, two, three, four, time)
  local ing = {}
  if one > 0 then
    ing[#ing + 1] = {"science-pack-1", one}
  end
  if two > 0 then
    ing[#ing + 1] = {"science-pack-2", two}
  end
  if three > 0 then
    ing[#ing + 1] = {"science-pack-3", three}
  end
  if four > 0 then
    ing[#ing + 1] = {"alien-science-pack", four}
  end
  local unit = {
    count = count or 10,
    ingredients = ing,
    time=time * ( one * 2 + two * 4 + three * 6 + four * 10) - (four * four * (3 - three))
  }
  return unit
end


function repl_research(count, one, two, three, four, time)
  local ing = {}
  if one > 0 then
    ing[#ing + 1] = {"rare-earth", one}
  end
  if two > 0 then
    ing[#ing + 1] = {"rare-earth-magnet", two}
  end
  if three > 0 then
    ing[#ing + 1] = {"superconductor", three}
  end
  if four > 0 then
    ing[#ing + 1] = {"ion-conduit", four}
  end
  local unit = {
    count = count or 10,
    ingredients = ing,
    time=time * ( one * 2 + two * 4 + three * 6 + four * 10) - (four * four * (3 - three))
  }
  return unit
end


require("prototypes.replication")
require("prototypes.replicators")
require('prototypes.ion-conduit')
require("prototypes.solar")
require("prototypes.accumulator")
require("technology.electricity")

require('prototypes.ion-grenade')
require('prototypes.ion-turret')
require('technology.ion-armaments')

require('prototypes.small-e-furnace')
require('prototypes.green-beacon')
require('prototypes.expansion-bay')
require('prototypes.rare-earth')
require('prototypes.replication-lab')

require('prototypes.item.module')